Bug 97573 - ICE when compiling (wrong) -mcpu=powerpc on ppc64
Summary: ICE when compiling (wrong) -mcpu=powerpc on ppc64
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: powerpc
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-17 20:49 UTC by Jeff Johnson
Modified: 2007-03-27 04:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 00:09:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
config.log that does simple sizeof tests (174.32 KB, text/plain)
2003-06-17 20:51 UTC, Jeff Johnson
no flags Details

Description Jeff Johnson 2003-06-17 20:49:44 UTC
Even though the -mcpu=powerpc is incorrect, something other than ICE
might be more useful.

Comment 1 Jeff Johnson 2003-06-17 20:51:07 UTC
Created attachment 92454 [details]
config.log that does simple sizeof tests

Reproducer attached.

Comment 2 Richard Henderson 2004-10-06 00:09:33 UTC
GCC 3.4 generates

  z.c:1: error: -m64 requires a PowerPC64 cpu



Note You need to log in before you can comment on or make changes to this bug.